List comments on a post
Fetch comments (and first-level replies) on a post from a connected Facebook Page, Instagram Business account, Threads account, or LinkedIn account. Requires the account to have the relevant permissions approved (pages_read_user_content for Facebook; instagram_business_manage_comments for direct Instagram Login or instagram_manage_comments for Facebook Login; threads_manage_replies for Threads; Community Management social-feed scopes for LinkedIn).
/v1/comments/Authorization
accessKey In: header
Query Parameters
Platform to fetch comments from.
"facebook" | "instagram" | "threads" | "linkedin"Integration ID of the connected account.
Platform post ID to fetch comments for.
Max comments to return.
251 <= value <= 100Pagination cursor from a previous response.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/comments/?platform=facebook&accountId=string&postId=string"{
"success": true,
"comments": [
{
"id": "string",
"text": "string",
"author": {
"id": "string",
"name": "string"
},
"timestamp": "2019-08-24T14:15:22Z",
"likeCount": 0,
"hidden": true,
"replies": [
{
"id": "string",
"text": "string",
"author": {
"id": "string",
"name": "string"
},
"timestamp": "string",
"likeCount": 0
}
]
}
],
"nextCursor": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}